Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Item Class Reference

A GtkItem C++ wrapper class. More...

`#include <inti/gtk/item.h>`

Inheritance diagram for Inti::Gtk::Item:

List of all members.

## Public Member Functions

Constructors

- virtual ~Item ()
    Destructor.

Accessors

- GtkItem * gtk_item () const
    Get a pointer to the GtkItem structure.
- GtkItemClass * gtk_item_class () const
    Get a pointer to the GtkItemClass structure.
- operator GtkItem * () const
    Conversion operator; safely converts an Item to a GtkItem pointer.

Methods

- void select ()
    Emits the "select" signal on Item.
- void deselect ()
    Emits the "deselect" signal on Item.
- void toggle ()
    Emits the "toggle" signal on Item.

Signal Proxies

- const SelectSignalProxy sig_select ()
    Connect to the select_signal; emitted when the item is selected.
- const DeselectSignalProxy sig_deselect ()
    Connect to the deselect_signal; emitted when the item is deselected.
- const ToggleSignalProxy sig_toggle ()
    Connect to the toggle_signal; emitted when the item is toggled.

## Protected Member Functions

Constructors

- Item ()
    Construct a new Item.
- Item (GtkItem *item, bool reference=false)
    Construct a new Item from an existing GtkItem.

Signal Handlers

- virtual void on_select ()
    Called when the item is selected.
- virtual void on_deselect ()
    Called when the item is deselected.
- virtual void on_toggle ()
    Called when the item is toggled.

## Detailed Description

A GtkItem C++ wrapper class.

The Item widget is an abstract base class for MenuItem.

## Constructor & Destructor Documentation

Inti::Gtk::Item::Item | ( | GtkItem * | item,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Item from an existing GtkItem. Parameters:
  item | A pointer to a GtkItem.
  reference | Set false if the initial reference count is floating, set true if it's not.
The item can be a newly created GtkItem or an existing GtkItem (see G::Object::Object).

The documentation for this class was generated from the following file:

- gtk/item.h

Main Page - Footer